%define _buildid .5

%global py26nvr python26-daemon-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-daemon-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name python-daemon

Name: python-daemon
Version: 1.5.2
Release: 1%{?_buildid}%{?dist}
Summary: Library to implement a well-behaved Unix daemon process
Group: Development/Languages
License: Python
URL: http://pypi.python.org/pypi/python-daemon/
Source0: http://pypi.python.org/packages/source/p/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
This library implements the well-behaved daemon specification of PEP 3143,
"Standard daemon process library".

%package -n python26-daemon
Summary: Library to implement a well-behaved Unix daemon process
BuildRequires: python26-devel
BuildRequires: python26-setuptools
BuildRequires: python26-nose
BuildRequires: python26-lockfile
BuildRequires: python26-minimock
Requires: python26-lockfile
Provides: python-daemon = %{version}-%{release}
Obsoletes: python-daemon <= 1.5.2-1.2.amzn1

%description -n python26-daemon
This library implements the well-behaved daemon specification of PEP 3143,
"Standard daemon process library".

This package is meant to be used with Python 2.6.

%package -n python27-daemon
Summary: Library to implement a well-behaved Unix daemon process
BuildRequires: python27-devel
BuildRequires: python27-setuptools
BuildRequires: python27-nose
BuildRequires: python27-lockfile
BuildRequires: python27-minimock
Requires: python27-lockfile

%description -n python27-daemon
This library implements the well-behaved daemon specification of PEP 3143,
"Standard daemon process library".

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}
sed -i -e '/^#!\//, 1d' daemon/version/version_info.py

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

%check
%if %{with tests}
pushd %{py26builddir}
PYTHONPATH=$(pwd) nosetests-2.6
popd
pushd %{py27builddir}
PYTHONPATH=$(pwd) nosetests-2.7
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-daemon
%doc LICENSE.PSF-2
%{python26_sitelib}/*

%files -n python27-daemon
%doc LICENSE.PSF-2
%{python27_sitelib}/*

%changelog
* Wed Feb 4 2015 Jason Green <jasg@amazon.com>
- Build for multiple pythons

* Thu Sep 29 2011 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-daemon-1.5.2-1.el6
- setup complete for package python-daemon

* Mon Dec 28 2009 Thomas Spura <tomspur@fedoraproject.org> - 1.5.2-1
- Add missing BR: python-nose, minimock, lockfile (for testsuite)
- also add lockfile as R (bug #513546)
- update to 1.5.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 24 2009 Kushal Das <kushal@fedoraproject.org> 1.4.6-1
- Initial release
